dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
local randx = x + Random(-6, 6)
local randy = y + Random(-6, 6)
local child = EntityCreateNew()
EntitySetTransform(child, randx, randy)
EntityAddChild(entity_id, child)
EntityAddComponent2(child, "LifetimeComponent", {lifetime=2})
EntityAddComponent2(child, "MagicConvertMaterialComponent", {
	from_material_tag="[liquid_converted_gravity]",
	to_material=CellFactory_GetType("air"),
	steps_per_frame=1,
	loop=true,
	is_circle=false,
	radius=1
})
GameCreateSpriteForXFrames( "data/projectiles_gfx/radiobot_radioactivity.png", randx, randy, true, 0, 0, 1, true )